### Function

# Gimp Layer from_mask

#### Declaration [src]

    GimpLayer*
    gimp_layer_from_mask (
      GimpLayerMask* mask
    )

#### Description [src]

Get the specified mask’s layer.

This procedure returns the specified mask’s layer , or -1 if none exists.

Available since: | 2.2

#### Parameters

`mask` | `GimpLayerMask`
| Mask for which to return the layer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpLayer`
| The mask’s layer.
| The data is owned by the called function.